ruby relative_require

by Jared Beck
2012-10-21

Here's a nice ruby 1.9 discovery to brighten your day.

In 1.8 we had to:

require File.expand_path('../relative/path', __FILE__)

but in 1.9 you can:

relative_require 'relative/path'

Happy hacking! ♥ -Singlebrook

Tags: ruby tech